// HINT: You can always sneak peak at the other scripts for some inspiration :)

export const options = [
  {
    name: 'secretsManagerId',
    type: 'input',
    message: 'Secrets manager id'
  }
]


export const command = async (options, context) => {
  const env = await fs.readFile('./.env')
  const regexp = /^\s*([^#\s]+)\s*=(.*)$/gm
  const matches = env.toString().matchAll(regexp)

  const secrets = {}
  for (const match of matches) {
    const key = match[1].replace(/\./g, '_')
    const value = match[2].trim().replace(/^["']*|["']*$/g, '')
    secrets[key] = value
  }
  console.log('\n\nInsert this in secrets manager:')
  console.log(JSON.stringify(secrets, null, 2))

  const taskDefSecrets = Object.keys(secrets).map(key => ({
    name: key,
    valueFrom: `${options.secretsManagerId.trim()}:${key}::`
  }))

  console.log('\n\nReplace secrets in taskDef.json with this:')
  console.log(`"secrets": ${JSON.stringify(taskDefSecrets, null, 2)},`)
}